Package ghidra.util.database

# Class DBCachedObjectStoreFactory.PrimitiveCodec.ArrayObjectCodec<E>

java.lang.Object
ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec.AbstractPrimitiveCodec<E[]>
ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec.ArrayPrimitiveCodec<E,E[]>
ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec.ArrayObjectCodec<E>

Type Parameters:
  `E` - the type of elements

All Implemented Interfaces:
  `DBCachedObjectStoreFactory.PrimitiveCodec<E[]>`

Enclosing interface:
  `DBCachedObjectStoreFactory.PrimitiveCodec<T>`

public static class DBCachedObjectStoreFactory.PrimitiveCodec.ArrayObjectCodec<E> extends DBCachedObjectStoreFactory.PrimitiveCodec.ArrayPrimitiveCodec<E,E[]>
An implementation of an array codec, using its element codec, where elements are objects

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec

  `DBCachedObjectStoreFactory.PrimitiveCodec.AbstractPrimitiveCodec<T>, DBCachedObjectStoreFactory.PrimitiveCodec.ArrayObjectCodec<E>, DBCachedObjectStoreFactory.PrimitiveCodec.ArrayPrimitiveCodec<E,T>, DBCachedObjectStoreFactory.PrimitiveCodec.LengthBoundCodec<T>, DBCachedObjectStoreFactory.PrimitiveCodec.SimplePrimitiveCodec<T>`

- ## Field Summary

  ### Fields inherited from class ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec.ArrayPrimitiveCodec

  `elemClass, elemCodec`

  ### Fields inherited from class ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec.AbstractPrimitiveCodec

  `selector, valueClass`

  ### Fields inherited from interface ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec

  `ADDRESS, BOOL, BOOL_ARR, BYTE, BYTE_ARR, CHAR, CHAR_ARR, CODECS_BY_CLASS, CODECS_BY_SELECTOR, INT, INT_ARR, LONG, LONG_ARR, RANGE, SHORT, SHORT_ARR, STRING, STRING_ARR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayObjectCodec(DBCachedObjectStoreFactory.PrimitiveCodec<E> elemCodec)`

- ## Method Summary

  ### Methods inherited from class ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec.ArrayPrimitiveCodec

  `decode, encode`

  ### Methods inherited from class ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec.AbstractPrimitiveCodec

  `getSelector, getValueClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrayObjectCodec

    public ArrayObjectCodec(DBCachedObjectStoreFactory.PrimitiveCodec<E> elemCodec)